summaryrefslogtreecommitdiff
path: root/dev-java
diff options
context:
space:
mode:
Diffstat (limited to 'dev-java')
-rw-r--r--dev-java/assertj-core/Manifest1
-rw-r--r--dev-java/assertj-core/assertj-core-3.10.0.ebuild109
-rw-r--r--dev-java/assertj-core/files/assertj-core-3.10.0-java11-compatibility.patch456
-rw-r--r--dev-java/byte-buddy/Manifest1
-rw-r--r--dev-java/byte-buddy/byte-buddy-1.12.12.ebuild176
-rw-r--r--dev-java/conversant-disruptor/conversant-disruptor-1.2.20.ebuild2
-rw-r--r--dev-java/gradle-bin/Manifest1
-rw-r--r--dev-java/gradle-bin/gradle-bin-7.5.ebuild61
-rw-r--r--dev-java/jackson-dataformat-xml/jackson-dataformat-xml-2.13.3-r1.ebuild2
-rw-r--r--dev-java/jakarta-annotations-api/Manifest1
-rw-r--r--dev-java/jakarta-annotations-api/jakarta-annotations-api-2.1.1.ebuild31
-rw-r--r--dev-java/jakarta-annotations-api/metadata.xml9
-rw-r--r--dev-java/java-service-wrapper/java-service-wrapper-3.5.50.ebuild3
-rw-r--r--dev-java/jaxb-api/jaxb-api-4.0.0.ebuild2
-rw-r--r--dev-java/jctools-core/jctools-core-3.1.0.ebuild2
-rw-r--r--dev-java/jdbc-postgresql/jdbc-postgresql-42.4.0.ebuild2
-rw-r--r--dev-java/junit-dataprovider/Manifest1
-rw-r--r--dev-java/junit-dataprovider/junit-dataprovider-2.9.ebuild94
-rw-r--r--dev-java/junit-dataprovider/metadata.xml9
-rw-r--r--dev-java/log4j-core/log4j-core-2.17.2-r1.ebuild2
-rw-r--r--dev-java/memoryfilesystem/Manifest1
-rw-r--r--dev-java/memoryfilesystem/memoryfilesystem-2.3.0.ebuild53
-rw-r--r--dev-java/memoryfilesystem/metadata.xml9
-rw-r--r--dev-java/mockito/mockito-4.6.0-r1.ebuild (renamed from dev-java/mockito/mockito-4.6.0.ebuild)9
-rw-r--r--dev-java/mockito/mockito-4.6.1-r1.ebuild (renamed from dev-java/mockito/mockito-4.6.1.ebuild)22
-rw-r--r--dev-java/netty/netty-4.1.35-r1.ebuild2
-rw-r--r--dev-java/openjdk/Manifest2
-rw-r--r--dev-java/opentest4j/opentest4j-1.2.0-r1.ebuild34
-rw-r--r--dev-java/randomized-runner/Manifest1
-rw-r--r--dev-java/randomized-runner/randomized-runner-2.8.0.ebuild57
-rw-r--r--dev-java/saslprep/saslprep-1.1.ebuild2
-rw-r--r--dev-java/scram/scram-2.1.ebuild2
-rw-r--r--dev-java/stringprep/stringprep-1.1.ebuild2
33 files changed, 1135 insertions, 26 deletions
diff --git a/dev-java/assertj-core/Manifest b/dev-java/assertj-core/Manifest
index ab50860a2085..6d5c5f3a7ea0 100644
--- a/dev-java/assertj-core/Manifest
+++ b/dev-java/assertj-core/Manifest
@@ -1 +1,2 @@
DIST assertj-core-2.3.0.tar.gz 611609 BLAKE2B b99a01f67da75bad18e08df739c10943012f75eda9855ed906d407e474eeafe9a30be2e761de0bc791d72a6ff8c7ec8181cd37c6b6c9126f073df82a974163c3 SHA512 da67930d45afde12d317579edb62b5cff546283ea6a252c9b297f21b74404d7cfb63372d339f51733322205b89d35734e97888085387fb1a83c80d5963b05fd3
+DIST assertj-core-3.10.0.tar.gz 1100495 BLAKE2B 4050060e027588d9c62abd5f4c6b77affd96d94a6474c4acc750a946cd3906787f9b2194627abff6d2e0849d590f5a74bbc702b41de6cbfaa09fae951a1012cf SHA512 3763768c5572e133de69735b01fd64432c4330723aa7e6cc0de42e5948cb2d455ae52d9ada66391fb41e47c261816fe12a00d07962e253f0da13ef49255fc5c6
diff --git a/dev-java/assertj-core/assertj-core-3.10.0.ebuild b/dev-java/assertj-core/assertj-core-3.10.0.ebuild
new file mode 100644
index 000000000000..922daf9a8789
--- /dev/null
+++ b/dev-java/assertj-core/assertj-core-3.10.0.ebuild
@@ -0,0 +1,109 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# Skeleton command:
+# java-ebuilder --generate-ebuild --workdir . --pom pom.xml --download-uri https://github.com/assertj/assertj-core/archive/assertj-core-3.10.0.tar.gz --slot 0 --keywords "~amd64 ~arm ~arm64 ~ppc64 ~x86" --ebuild assertj-core-3.10.0.ebuild
+
+EAPI=8
+
+JAVA_PKG_IUSE="doc source test"
+MAVEN_ID="org.assertj:assertj-core:3.10.0"
+JAVA_TESTING_FRAMEWORKS="junit-4"
+
+inherit java-pkg-2 java-pkg-simple
+
+DESCRIPTION="Rich and fluent assertions for testing for Java"
+HOMEPAGE="https://assertj.github.io/doc/"
+SRC_URI="https://github.com/assertj/${PN}/archive/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="3"
+KEYWORDS="~amd64"
+
+CP_DEPEND="
+ >=dev-java/byte-buddy-1.12.12:0
+"
+
+DEPEND="
+ >=virtual/jdk-1.8:*
+ ${CP_DEPEND}
+ dev-java/hamcrest-core:1.3
+ dev-java/junit:4
+ dev-java/opentest4j:0
+ test? (
+ dev-java/guava:0
+ dev-java/junit-dataprovider:0
+ dev-java/memoryfilesystem:0
+ dev-java/mockito:4
+ )
+"
+
+RDEPEND="
+ >=virtual/jre-1.8:*
+ ${CP_DEPEND}"
+
+DOCS=( {CODE_OF_CONDUCT,CONTRIBUTING,README}.md )
+
+PATCHES=( "${FILESDIR}"/assertj-core-3.10.0-java11-compatibility.patch )
+
+S="${WORKDIR}/${PN}-${P}"
+
+JAVA_CLASSPATH_EXTRA="junit-4,hamcrest-core-1.3,opentest4j"
+JAVA_SRC_DIR="src/main/java"
+
+JAVA_TEST_GENTOO_CLASSPATH="guava,junit-dataprovider,memoryfilesystem,mockito-4"
+JAVA_TEST_SRC_DIR="src/test/java"
+JAVA_TEST_RESOURCE_DIRS="src/test/resources"
+
+# These test classes are not run by "mvn test"
+# FAILURES!!!
+# Tests run: 11514, Failures: 32
+# Exclusion should leave "OK (11486 tests)" with jdk-11
+# and 14 test failures with jdk-17
+JAVA_TEST_EXCLUDES=(
+ org.assertj.core.internal.BaseArraysTest
+ org.assertj.core.internal.TestDescription
+ org.assertj.core.navigation.BaseNavigableIterableAssert_Test
+ org.assertj.core.navigation.BaseNavigableListAssert_Test
+ org.assertj.core.navigation.GenericNavigableAssert_Test
+ org.assertj.core.api.assumptions.BaseAssumptionsRunnerTest
+ org.assertj.core.api.atomic.referencearray.AtomicReferenceArrayAssert_filtered_baseTest
+ org.assertj.core.api.iterable.IterableAssert_filtered_baseTest
+ org.assertj.core.api.objectarray.ObjectArrayAssert_filtered_baseTest
+ org.assertj.core.api.TestCondition
+ org.assertj.core.api.BaseAssertionsTest
+ org.assertj.core.util.Files_TestCase
+ org.assertj.core.test.EqualsHashCodeContractTestCase
+ org.assertj.core.test.TestClassWithRandomId
+ org.assertj.core.test.TestData
+ org.assertj.core.test.TestFailures
+)
+
+src_prepare() {
+ default
+ sed \
+ -e 's:verifyZeroInteractions:verifyNoInteractions:' \
+ -i src/test/java/org/assertj/core/api/Assertions_assertThat_with_DoubleStream_Test.java \
+ -i src/test/java/org/assertj/core/api/Assertions_assertThat_with_IntStream_Test.java \
+ -i src/test/java/org/assertj/core/api/Assertions_assertThat_with_Iterator_Test.java \
+ -i src/test/java/org/assertj/core/api/Assertions_assertThat_with_LongStream_Test.java \
+ -i src/test/java/org/assertj/core/api/Assertions_assertThat_with_Stream_Test.java \
+ -i src/test/java/org/assertj/core/matcher/AssertionMatcher_matches_Test.java || die
+}
+
+src_test() {
+ local vm_version="$(java-config -g PROVIDES_VERSION)"
+ if ver_test "${vm_version}" -ge 17; then
+ JAVA_TEST_EXTRA_ARGS+=( --add-opens=java.base/java.io=ALL-UNNAMED )
+ JAVA_TEST_EXTRA_ARGS+=( --add-opens=java.base/java.lang=ALL-UNNAMED )
+ JAVA_TEST_EXTRA_ARGS+=( --add-opens=java.base/java.math=ALL-UNNAMED )
+ JAVA_TEST_EXTRA_ARGS+=( --add-opens=java.base/java.util=ALL-UNNAMED )
+ # Before further test_excluds it should now read "Tests run: 11486, Failures: 3"
+ # Additional exclusions will leave "OK (11476 tests)"
+ JAVA_TEST_EXCLUDES+=(
+ org.assertj.core.internal.classes.Classes_assertHasMethods_Test
+ org.assertj.core.util.xml.XmlStringPrettyFormatter_prettyFormat_Test
+ )
+ fi
+ java-pkg-simple_src_test
+}
diff --git a/dev-java/assertj-core/files/assertj-core-3.10.0-java11-compatibility.patch b/dev-java/assertj-core/files/assertj-core-3.10.0-java11-compatibility.patch
new file mode 100644
index 000000000000..3f5210ae8458
--- /dev/null
+++ b/dev-java/assertj-core/files/assertj-core-3.10.0-java11-compatibility.patch
@@ -0,0 +1,456 @@
+From 2e107db2a40c5ef60d4f5370e1e71fa780b67599 Mon Sep 17 00:00:00 2001
+From: Erhard Pointl <epeee@users.noreply.github.com>
+Date: Wed, 23 May 2018 11:45:35 +0200
+Subject: [PATCH] java11 compatibility (#1243)
+
+Fix java11 ea compile errors by adding assertThat method for StringBuilder and StringBuffer to disambiguate method resolution as StringBuilder and StringBuffer implements Comparable in java 11
+---
+ .../java/org/assertj/core/api/Assertions.java | 23 ++++++++++++
+ .../core/api/AssertionsForClassTypes.java | 24 +++++++++++++
+ .../org/assertj/core/api/Assumptions.java | 25 +++++++++++++
+ .../org/assertj/core/api/BDDAssertions.java | 24 +++++++++++++
+ .../api/Java6AbstractBDDSoftAssertions.java | 24 +++++++++++++
+ .../Java6AbstractStandardSoftAssertions.java | 24 +++++++++++++
+ .../org/assertj/core/api/Java6Assertions.java | 24 +++++++++++++
+ .../assertj/core/api/Java6BDDAssertions.java | 24 +++++++++++++
+ .../org/assertj/core/api/WithAssertions.java | 24 +++++++++++++
+ .../org/assertj/core/api/WithAssumptions.java | 23 ++++++++++++
+ ...ons_assertThat_with_StringBuffer_Test.java | 36 +++++++++++++++++++
+ ...ns_assertThat_with_StringBuilder_Test.java | 36 +++++++++++++++++++
+ 12 files changed, 311 insertions(+)
+ create mode 100644 src/test/java/org/assertj/core/api/Assertions_assertThat_with_StringBuffer_Test.java
+ create mode 100644 src/test/java/org/assertj/core/api/Assertions_assertThat_with_StringBuilder_Test.java
+
+diff --git a/src/main/java/org/assertj/core/api/Assertions.java b/src/main/java/org/assertj/core/api/Assertions.java
+index 28c457f4c7..664748dad3 100644
+--- a/src/main/java/org/assertj/core/api/Assertions.java
++++ b/src/main/java/org/assertj/core/api/Assertions.java
+@@ -2565,6 +2565,29 @@ public static <T> T assertThat(final AssertProvider<T> component) {
+ return AssertionsForInterfaceTypes.assertThat(actual);
+ }
+
++ /**
++ * Creates a new instance of <code>{@link CharSequenceAssert}</code> from a {@link StringBuilder}.
++ *
++ * @param actual the actual value.
++ * @return the created assertion object.
++ * @since 3.11.0
++ */
++ @CheckReturnValue
++ public static AbstractCharSequenceAssert<?, ? extends CharSequence> assertThat(StringBuilder actual) {
++ return AssertionsForClassTypes.assertThat(actual);
++ }
++ /**
++ * Creates a new instance of <code>{@link CharSequenceAssert}</code> from a {@link StringBuffer}.
++ *
++ * @param actual the actual value.
++ * @return the created assertion object.
++ * @since 3.11.0
++ */
++ @CheckReturnValue
++ public static AbstractCharSequenceAssert<?, ? extends CharSequence> assertThat(StringBuffer actual) {
++ return AssertionsForClassTypes.assertThat(actual);
++ }
++
+ /**
+ * Creates a new instance of <code>{@link CharSequenceAssert}from a {@link String}</code>.
+ *
+diff --git a/src/main/java/org/assertj/core/api/AssertionsForClassTypes.java b/src/main/java/org/assertj/core/api/AssertionsForClassTypes.java
+index fd05593159..fb2e2acfbd 100644
+--- a/src/main/java/org/assertj/core/api/AssertionsForClassTypes.java
++++ b/src/main/java/org/assertj/core/api/AssertionsForClassTypes.java
+@@ -487,6 +487,30 @@ public static AbstractShortArrayAssert<?> assertThat(short[] actual) {
+ return new ShortArrayAssert(actual);
+ }
+
++ /**
++ * Creates a new instance of <code>{@link CharSequenceAssert}</code> from a {@link StringBuilder}.
++ *
++ * @param actual the actual value.
++ * @return the created assertion object.
++ * @since 3.11.0
++ */
++ @CheckReturnValue
++ public static AbstractCharSequenceAssert<?, ? extends CharSequence> assertThat(StringBuilder actual) {
++ return new CharSequenceAssert(actual);
++ }
++
++ /**
++ * Creates a new instance of <code>{@link CharSequenceAssert}</code> from a {@link StringBuffer}.
++ *
++ * @param actual the actual value.
++ * @return the created assertion object.
++ * @since 3.11.0
++ */
++ @CheckReturnValue
++ public static AbstractCharSequenceAssert<?, ? extends CharSequence> assertThat(StringBuffer actual) {
++ return new CharSequenceAssert(actual);
++ }
++
+ /**
+ * Creates a new instance of <code>{@link StringAssert}</code>.
+ *
+diff --git a/src/main/java/org/assertj/core/api/Assumptions.java b/src/main/java/org/assertj/core/api/Assumptions.java
+index 9ce773bd44..d26b2453ce 100644
+--- a/src/main/java/org/assertj/core/api/Assumptions.java
++++ b/src/main/java/org/assertj/core/api/Assumptions.java
+@@ -308,6 +308,31 @@ public static AbstractCharArrayAssert<?> assumeThat(char[] actual) {
+ return asAssumption(CharSequenceAssert.class, CharSequence.class, actual);
+ }
+
++ /**
++ * Creates a new instance of <code>{@link CharSequenceAssert}</code> assumption from a {@link StringBuilder}.
++ *
++ * @param actual the actual value.
++ * @return the created assumption for assertion object.
++ * @since 3.11.0
++ */
++ @CheckReturnValue
++ public static AbstractCharSequenceAssert<?, ? extends CharSequence> assumeThat(StringBuilder actual) {
++ return asAssumption(CharSequenceAssert.class, CharSequence.class, actual);
++ }
++
++ /**
++ * Creates a new instance of <code>{@link CharSequenceAssert}</code> assumption from a {@link StringBuffer}.
++ *
++ * @param actual the actual value.
++ * @return the created assumption for assertion object.
++ * @since 3.11.0
++ */
++ @CheckReturnValue
++ public static AbstractCharSequenceAssert<?, ? extends CharSequence> assumeThat(StringBuffer actual) {
++ return asAssumption(CharSequenceAssert.class, CharSequence.class, actual);
++ }
++
++
+ /**
+ * Creates a new instance of <code>{@link ShortAssert}</code> assumption.
+ *
+diff --git a/src/main/java/org/assertj/core/api/BDDAssertions.java b/src/main/java/org/assertj/core/api/BDDAssertions.java
+index c558153faf..03e574a8d2 100644
+--- a/src/main/java/org/assertj/core/api/BDDAssertions.java
++++ b/src/main/java/org/assertj/core/api/BDDAssertions.java
+@@ -800,6 +800,30 @@ public static AbstractShortArrayAssert<?> then(short[] actual) {
+ return assertThat(actual);
+ }
+
++ /**
++ * Creates a new instance of <code>{@link org.assertj.core.api.CharSequenceAssert}</code> from a {@link StringBuilder}.
++ *
++ * @param actual the actual value.
++ * @return the created assertion object.
++ * @since 3.11.0
++ */
++ @CheckReturnValue
++ public static AbstractCharSequenceAssert<?, ? extends CharSequence> then(StringBuilder actual) {
++ return assertThat(actual);
++ }
++
++ /**
++ * Creates a new instance of <code>{@link org.assertj.core.api.CharSequenceAssert}</code> from a {@link StringBuffer}.
++ *
++ * @param actual the actual value.
++ * @return the created assertion object.
++ * @since 3.11.0
++ */
++ @CheckReturnValue
++ public static AbstractCharSequenceAssert<?, ? extends CharSequence> then(StringBuffer actual) {
++ return assertThat(actual);
++ }
++
+ /**
+ * Creates a new instance of <code>{@link org.assertj.core.api.StringAssert}</code>.
+ *
+diff --git a/src/main/java/org/assertj/core/api/Java6AbstractBDDSoftAssertions.java b/src/main/java/org/assertj/core/api/Java6AbstractBDDSoftAssertions.java
+index bd54285ae1..edb0451067 100644
+--- a/src/main/java/org/assertj/core/api/Java6AbstractBDDSoftAssertions.java
++++ b/src/main/java/org/assertj/core/api/Java6AbstractBDDSoftAssertions.java
+@@ -487,6 +487,30 @@ public CharSequenceAssert then(CharSequence actual) {
+ return proxy(CharSequenceAssert.class, CharSequence.class, actual);
+ }
+
++ /**
++ * Creates a new instance of <code>{@link CharSequenceAssert}</code> from a {@link StringBuilder}.
++ *
++ * @param actual the actual value.
++ * @return the created assertion object.
++ * @since 3.11.0
++ */
++ @CheckReturnValue
++ public CharSequenceAssert then(StringBuilder actual) {
++ return proxy(CharSequenceAssert.class, CharSequence.class, actual);
++ }
++
++ /**
++ * Creates a new instance of <code>{@link CharSequenceAssert}</code> from a {@link StringBuffer}.
++ *
++ * @param actual the actual value.
++ * @return the created assertion object.
++ * @since 3.11.0
++ */
++ @CheckReturnValue
++ public CharSequenceAssert then(StringBuffer actual) {
++ return proxy(CharSequenceAssert.class, CharSequence.class, actual);
++ }
++
+ /**
+ * Creates a new instance of <code>{@link StringAssert}</code>.
+ *
+diff --git a/src/main/java/org/assertj/core/api/Java6AbstractStandardSoftAssertions.java b/src/main/java/org/assertj/core/api/Java6AbstractStandardSoftAssertions.java
+index ee9d3fb72d..4ff4315635 100644
+--- a/src/main/java/org/assertj/core/api/Java6AbstractStandardSoftAssertions.java
++++ b/src/main/java/org/assertj/core/api/Java6AbstractStandardSoftAssertions.java
+@@ -489,6 +489,30 @@ public CharSequenceAssert assertThat(CharSequence actual) {
+ return proxy(CharSequenceAssert.class, CharSequence.class, actual);
+ }
+
++ /**
++ * Creates a new instance of <code>{@link CharSequenceAssert}</code> from a {@link StringBuilder}.
++ *
++ * @param actual the actual value.
++ * @return the created assertion object.
++ * @since 3.11.0
++ */
++ @CheckReturnValue
++ public CharSequenceAssert assertThat(StringBuilder actual) {
++ return proxy(CharSequenceAssert.class, CharSequence.class, actual);
++ }
++
++ /**
++ * Creates a new instance of <code>{@link CharSequenceAssert}</code> from a {@link StringBuffer}.
++ *
++ * @param actual the actual value.
++ * @return the created assertion object.
++ * @since 3.11.0
++ */
++ @CheckReturnValue
++ public CharSequenceAssert assertThat(StringBuffer actual) {
++ return proxy(CharSequenceAssert.class, CharSequence.class, actual);
++ }
++
+ /**
+ * Creates a new instance of <code>{@link StringAssert}</code>.
+ *
+diff --git a/src/main/java/org/assertj/core/api/Java6Assertions.java b/src/main/java/org/assertj/core/api/Java6Assertions.java
+index e88ccde3c8..10912f41bc 100644
+--- a/src/main/java/org/assertj/core/api/Java6Assertions.java
++++ b/src/main/java/org/assertj/core/api/Java6Assertions.java
+@@ -924,6 +924,30 @@ public static AbstractShortArrayAssert<?> assertThat(short[] actual) {
+ return new CharSequenceAssert(actual);
+ }
+
++ /**
++ * Creates a new instance of <code>{@link CharSequenceAssert}</code> from a {@link StringBuilder}.
++ *
++ * @param actual the actual value.
++ * @return the created assertion object.
++ * @since 3.11.0
++ */
++ @CheckReturnValue
++ public static AbstractCharSequenceAssert<?, ? extends CharSequence> assertThat(StringBuilder actual) {
++ return new CharSequenceAssert(actual);
++ }
++
++ /**
++ * Creates a new instance of <code>{@link CharSequenceAssert}</code> from a {@link StringBuffer}.
++ *
++ * @param actual the actual value.
++ * @return the created assertion object.
++ * @since 3.11.0
++ */
++ @CheckReturnValue
++ public static AbstractCharSequenceAssert<?, ? extends CharSequence> assertThat(StringBuffer actual) {
++ return new CharSequenceAssert(actual);
++ }
++
+ /**
+ * Creates a new instance of <code>{@link StringAssert}</code>.
+ *
+diff --git a/src/main/java/org/assertj/core/api/Java6BDDAssertions.java b/src/main/java/org/assertj/core/api/Java6BDDAssertions.java
+index 4ffc23475b..009929ebc9 100644
+--- a/src/main/java/org/assertj/core/api/Java6BDDAssertions.java
++++ b/src/main/java/org/assertj/core/api/Java6BDDAssertions.java
+@@ -795,6 +795,30 @@ public static AbstractShortArrayAssert<?> then(short[] actual) {
+ return assertThat(actual);
+ }
+
++ /**
++ * Creates a new instance of <code>{@link org.assertj.core.api.CharSequenceAssert}</code> from a {@link StringBuilder}.
++ *
++ * @param actual the actual value.
++ * @return the created assertion object.
++ * @since 3.11.0
++ */
++ @CheckReturnValue
++ public static AbstractCharSequenceAssert<?, ? extends CharSequence> then(StringBuilder actual) {
++ return assertThat(actual);
++ }
++
++ /**
++ * Creates a new instance of <code>{@link org.assertj.core.api.CharSequenceAssert}</code> from a {@link StringBuffer}.
++ *
++ * @param actual the actual value.
++ * @return the created assertion object.
++ * @since 3.11.0
++ */
++ @CheckReturnValue
++ public static AbstractCharSequenceAssert<?, ? extends CharSequence> then(StringBuffer actual) {
++ return assertThat(actual);
++ }
++
+ /**
+ * Creates a new instance of <code>{@link org.assertj.core.api.StringAssert}</code>.
+ *
+diff --git a/src/main/java/org/assertj/core/api/WithAssertions.java b/src/main/java/org/assertj/core/api/WithAssertions.java
+index c87854dd89..b71250c1bd 100644
+--- a/src/main/java/org/assertj/core/api/WithAssertions.java
++++ b/src/main/java/org/assertj/core/api/WithAssertions.java
+@@ -564,6 +564,30 @@ default <VALUE> AtomicStampedReferenceAssert<VALUE> assertThat(AtomicStampedRefe
+ return Assertions.assertThat(actual);
+ }
+
++ /**
++ * Creates a new instance of <code>{@link CharSequenceAssert}</code> from a {@link StringBuilder}.
++ *
++ * @param actual the actual value.
++ * @return the created assertion object.
++ * @since 3.11.0
++ */
++ @CheckReturnValue
++ default AbstractCharSequenceAssert<?, ? extends CharSequence> assertThat(final StringBuilder actual) {
++ return Assertions.assertThat(actual);
++ }
++
++ /**
++ * Creates a new instance of <code>{@link CharSequenceAssert}</code> from a {@link StringBuffer}.
++ *
++ * @param actual the actual value.
++ * @return the created assertion object.
++ * @since 3.11.0
++ */
++ @CheckReturnValue
++ default AbstractCharSequenceAssert<?, ? extends CharSequence> assertThat(final StringBuffer actual) {
++ return Assertions.assertThat(actual);
++ }
++
+ /**
+ * Creates a new instance of <code>{@link ShortArrayAssert}</code>.
+ *
+diff --git a/src/main/java/org/assertj/core/api/WithAssumptions.java b/src/main/java/org/assertj/core/api/WithAssumptions.java
+index 0703fa33dd..56539e36dd 100644
+--- a/src/main/java/org/assertj/core/api/WithAssumptions.java
++++ b/src/main/java/org/assertj/core/api/WithAssumptions.java
+@@ -371,6 +371,29 @@ default <VALUE> AtomicStampedReferenceAssert<VALUE> assumeThat(AtomicStampedRefe
+ return Assumptions.assumeThat(actual);
+ }
+
++ /**
++ * Creates a new instance of <code>{@link CharSequenceAssert}</code> assumption from a {@link StringBuilder}.
++ *
++ * @param actual the actual value.
++ * @return the created assumption for assertion object.
++ * @since 3.11.0
++ */
++ @CheckReturnValue
++ default AbstractCharSequenceAssert<?, ? extends CharSequence> assumeThat(final StringBuilder actual) {
++ return Assumptions.assumeThat(actual);
++ }
++
++ /**
++ * Creates a new instance of <code>{@link CharSequenceAssert}</code> assumption from a {@link StringBuffer}.
++ *
++ * @param actual the actual value.
++ * @return the created assumption for assertion object.
++ * @since 3.11.0
++ */
++ @CheckReturnValue
++ default AbstractCharSequenceAssert<?, ? extends CharSequence> assumeThat(final StringBuffer actual) {
++ return Assumptions.assumeThat(actual);
++ }
+ /**
+ * Creates a new instance of <code>{@link ShortArrayAssert}</code> assumption.
+ *
+diff --git a/src/test/java/org/assertj/core/api/Assertions_assertThat_with_StringBuffer_Test.java b/src/test/java/org/assertj/core/api/Assertions_assertThat_with_StringBuffer_Test.java
+new file mode 100644
+index 0000000000..b3f020f101
+--- /dev/null
++++ b/src/test/java/org/assertj/core/api/Assertions_assertThat_with_StringBuffer_Test.java
+@@ -0,0 +1,36 @@
++/*
++ * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
++ * the License. You may obtain a copy of the License at
++ *
++ * http://www.apache.org/licenses/LICENSE-2.0
++ *
++ * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
++ * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the
++ * specific language governing permissions and limitations under the License.
++ *
++ * Copyright 2012-2018 the original author or authors.
++ */
++package org.assertj.core.api;
++
++import org.junit.Test;
++
++import static org.assertj.core.api.Assertions.assertThat;
++
++/**
++ * Tests for <code>{@link Assertions#assertThat(StringBuffer)}</code>.
++ */
++public class Assertions_assertThat_with_StringBuffer_Test {
++
++ @Test
++ public void should_create_Assert() {
++ AbstractCharSequenceAssert<?, ?> assertions = Assertions.assertThat(new StringBuffer("Yoda"));
++ assertThat(assertions).isNotNull();
++ }
++
++ @Test
++ public void should_pass_actual() {
++ StringBuffer actual = new StringBuffer("Yoda");
++ AbstractCharSequenceAssert<?, ?> assertions = Assertions.assertThat(actual);
++ assertThat(assertions.actual).isSameAs(actual);
++ }
++}
+diff --git a/src/test/java/org/assertj/core/api/Assertions_assertThat_with_StringBuilder_Test.java b/src/test/java/org/assertj/core/api/Assertions_assertThat_with_StringBuilder_Test.java
+new file mode 100644
+index 0000000000..315d6d4b9f
+--- /dev/null
++++ b/src/test/java/org/assertj/core/api/Assertions_assertThat_with_StringBuilder_Test.java
+@@ -0,0 +1,36 @@
++/*
++ * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
++ * the License. You may obtain a copy of the License at
++ *
++ * http://www.apache.org/licenses/LICENSE-2.0
++ *
++ * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
++ * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the
++ * specific language governing permissions and limitations under the License.
++ *
++ * Copyright 2012-2018 the original author or authors.
++ */
++package org.assertj.core.api;
++
++import org.junit.Test;
++
++import static org.assertj.core.api.Assertions.assertThat;
++
++/**
++ * Tests for <code>{@link Assertions#assertThat(StringBuilder)}</code>.
++ */
++public class Assertions_assertThat_with_StringBuilder_Test {
++
++ @Test
++ public void should_create_Assert() {
++ AbstractCharSequenceAssert<?, ?> assertions = Assertions.assertThat(new StringBuilder("Yoda"));
++ assertThat(assertions).isNotNull();
++ }
++
++ @Test
++ public void should_pass_actual() {
++ StringBuilder actual = new StringBuilder("Yoda");
++ AbstractCharSequenceAssert<?, ?> assertions = Assertions.assertThat(actual);
++ assertThat(assertions.actual).isSameAs(actual);
++ }
++}
diff --git a/dev-java/byte-buddy/Manifest b/dev-java/byte-buddy/Manifest
index 62dd7486fe05..57136f2a7976 100644
--- a/dev-java/byte-buddy/Manifest
+++ b/dev-java/byte-buddy/Manifest
@@ -1 +1,2 @@
DIST byte-buddy-1.12.10-sources.jar 1331398 BLAKE2B 8732ac81514de40d3d2ffd67ddca05ab9b8a5d0a7f240ee4591fd02b41f410f9e834f389aa898829fbae6082e14a090f87052f537b2b6293c7f8f98d4a5d0583 SHA512 15cb4330598d9259afa29aac0317f8e0e003eb76fb26052bba0714ad30453db721938be7d46fcc6a0c7bbe124bffe68dfee6fcf11a3e4030e99ef01d0ae3d461
+DIST byte-buddy-1.12.12.tar.gz 149937318 BLAKE2B 1a1bd0de97b47ace4c64649da3ae80dcb421a4d46e9b4f66e121accad94a99a2b81fa9aeaca99ae14cf1ef56feff5248d5700d6b056d490563bbc7ae9f07ace9 SHA512 bd8dc5b86ce456d5a907dd23643233bb001c15df5419aeed177d3b4f8054ab172d13244d0b3fef734e8232dfdd9339745d8112fa69e0be566b62459c198bf67a
diff --git a/dev-java/byte-buddy/byte-buddy-1.12.12.ebuild b/dev-java/byte-buddy/byte-buddy-1.12.12.ebuild
new file mode 100644
index 000000000000..6a3353c6c3d1
--- /dev/null
+++ b/dev-java/byte-buddy/byte-buddy-1.12.12.ebuild
@@ -0,0 +1,176 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# Skeleton command:
+# java-ebuilder --generate-ebuild --workdir . --pom pom.xml --download-uri https://github.com/raphw/byte-buddy/archive/byte-buddy-1.12.12.tar.gz --slot 0 --keywords "~amd64 ~arm ~arm64 ~ppc64 ~x86" --ebuild byte-buddy-1.12.12.ebuild
+
+EAPI=8
+
+JAVA_PKG_IUSE="doc source test"
+MAVEN_ID="net.bytebuddy:byte-buddy-agent:1.12.12"
+JAVA_TESTING_FRAMEWORKS="junit-4"
+
+inherit java-pkg-2 java-pkg-simple
+
+DESCRIPTION="Offers convenience for attaching an agent to the local or a remote VM"
+HOMEPAGE="https://bytebuddy.net"
+SRC_URI="https://github.com/raphw/${PN}/archive/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+
+DEPEND="
+ >=virtual/jdk-11:*
+ dev-java/asm:9
+ dev-java/findbugs-annotations:0
+ dev-java/jna:4
+ dev-java/jsr305:0
+ test? (
+ dev-java/mockito:4
+ )
+"
+
+RDEPEND="
+ >=virtual/jre-1.8:*
+"
+
+S="${WORKDIR}/${PN}-${P}"
+
+JAVA_CLASSPATH_EXTRA="asm-9,findbugs-annotations,jsr305,jna-4"
+
+src_prepare() {
+ default
+ # https://github.com/raphw/byte-buddy/blob/byte-buddy-1.12.12/byte-buddy-agent/pom.xml#L132-L165
+ cat > byte-buddy-agent/src/main/java/module-info.java <<-EOF
+ module net.bytebuddy.agent {
+ requires java.instrument;
+ requires static jdk.attach;
+ requires static com.sun.jna;
+ requires static com.sun.jna.platform;
+ requires java.base;
+ exports net.bytebuddy.agent;
+ exports net.bytebuddy.agent.utility.nullability;
+ }
+ EOF
+
+ sed \
+ -e 's:verifyZeroInteractions:verifyNoInteractions:g' \
+ -i byte-buddy-dep/src/test/java/net/bytebuddy/*.java \
+ -i byte-buddy-dep/src/test/java/net/bytebuddy/*/*Test.java \
+ -i byte-buddy-dep/src/test/java/net/bytebuddy/*/*/*Test.java \
+ -i byte-buddy-dep/src/test/java/net/bytebuddy/*/*/*/*Test.java \
+ -i byte-buddy-dep/src/test/java/net/bytebuddy/*/*/*/*/*Test.java \
+ || die
+}
+
+src_compile() {
+ einfo "Compiling byte-buddy-agent.jar"
+ JAVA_SRC_DIR="byte-buddy-agent/src/main/java"
+ JAVA_RESOURCE_DIRS="byte-buddy-agent/src/main/resources"
+ JAVA_JAR_FILENAME="byte-buddy-agent.jar"
+ java-pkg-simple_src_compile
+ JAVA_GENTOO_CLASSPATH_EXTRA+=":byte-buddy-agent.jar"
+ rm -r target || die
+
+# For pkgdiff to compare the content of module-info.class
+# mkdir -p META-INF/versions/9 || die
+# cp target/classes/module-info.class META-INF/versions/9/ || die
+# jar -uf byte-buddy.jar -C . META-INF/versions/9/module-info.class || die
+
+ einfo "Compiling byte-buddy-dep.jar"
+ JAVA_SRC_DIR="byte-buddy-dep/src/main/java"
+ JAVA_RESOURCE_DIRS="byte-buddy-dep/src/main/resources"
+ JAVA_JAR_FILENAME="byte-buddy-dep.jar"
+ java-pkg-simple_src_compile
+ JAVA_GENTOO_CLASSPATH_EXTRA+=":byte-buddy-dep.jar"
+ rm -r target || die
+
+ if use doc; then
+ einfo "Compiling javadocs"
+ JAVA_SRC_DIR=(
+ "byte-buddy-agent/src/main/java"
+ "byte-buddy-dep/src/main/java"
+ )
+ JAVA_JAR_FILENAME="ignoreme.jar"
+ java-pkg-simple_src_compile
+ fi
+}
+
+src_test() {
+ JAVA_TEST_GENTOO_CLASSPATH="junit-4,mockito-4"
+
+ # einfo "Setting -Djava.library.path"
+ # This would work only after manually adding libjnidispatch.so to /usr/share/jna-4/lib/jna.jar,
+ # done with ( jar -uf /usr/share/jna-4/lib/jna.jar -C . com/sun/jna/linux-x86-64/libjnidispatch )
+# JAVA_TEST_EXTRA_ARGS=( -Djava.library.path+="$(java-config -i jna-4)" com.sun.jna.Native )
+ # Otherwise fails with:
+ # Exception in thread "main" java.lang.UnsatisfiedLinkError: Native library (com/sun/jna/linux-x86-64/libjnidispatch.so) not found in resource path
+
+ einfo "Testing byte-buddy-agent"
+ JAVA_TEST_SRC_DIR="byte-buddy-agent/src/test/java"
+ # Native library (com/sun/jna/linux-x86-64/libjnidispatch.so) not found in resource path
+ JAVA_TEST_EXCLUDES=( net.bytebuddy.agent.VirtualMachineAttachmentTest )
+ java-pkg-simple_src_test
+
+ einfo "Testing byte-buddy-dep"
+ JAVA_TEST_SRC_DIR="byte-buddy-dep/src/test/java"
+ JAVA_TEST_RESOURCE_DIRS="byte-buddy-dep/src/test/resources"
+
+ # what "mvn test" does with java 17 is:
+ # Tests run: 9836, Failures: 0, Errors: 0, Skipped: 0
+
+ # 1) testTypeVariableTypeAnnotationRuntimeRetention[0](net.bytebuddy.implementation.attribute.MethodAttributeAppenderForInstrumentedMethodTest)
+ # org.mockito.exceptions.verification.NoInteractionsWanted:
+ # --
+ # 2) testTypeVariableTypeAnnotationRuntimeRetention[1](net.bytebuddy.implementation.attribute.MethodAttributeAppenderForInstrumentedMethodTest)
+ # org.mockito.exceptions.verification.NoInteractionsWanted:
+ # --
+ # 3) testAnnotationClassFileRetention(net.bytebuddy.implementation.attribute.TypeAttributeAppenderForInstrumentedTypeDifferentiatingTest)
+ # org.mockito.exceptions.verification.NoInteractionsWanted:
+ # --
+ # 4) testAnnotationByteCodeRetention(net.bytebuddy.implementation.attribute.TypeAttributeAppenderForInstrumentedTypeDifferentiatingTest)
+ # org.mockito.exceptions.verification.NoInteractionsWanted:
+ # --
+ # 5) testAnnotationClassFileRetention(net.bytebuddy.implementation.attribute.TypeAttributeAppenderForInstrumentedTypeTest)
+ # org.mockito.exceptions.verification.NoInteractionsWanted:
+ # --
+ # 6) testAnnotationByteCodeRetention(net.bytebuddy.implementation.attribute.TypeAttributeAppenderForInstrumentedTypeTest)
+ # org.mockito.exceptions.verification.NoInteractionsWanted:
+ # --
+ # 7) testChildSecond(net.bytebuddy.pool.TypePoolDefaultHierarchyTest)
+ # org.mockito.exceptions.verification.NoInteractionsWanted:
+ # --
+ # 8) testNoParameterNameAndModifiers(net.bytebuddy.pool.TypePoolDefaultMethodDescriptionTest)
+ # java.lang.AssertionError:
+ # --
+ # 9) testSimpleApplication(net.bytebuddy.description.type.TypeInitializerTest)
+ # org.mockito.exceptions.verification.NoInteractionsWanted:
+ # --
+ # 10) testRedefinitionChunkedOneFailsResubmit(net.bytebuddy.agent.builder.AgentBuilderDefaultTest)
+ # org.mockito.exceptions.verification.NoInteractionsWanted:
+ JAVA_TEST_EXCLUDES+=(
+ net.bytebuddy.implementation.attribute.MethodAttributeAppenderForInstrumentedMethodTest
+ net.bytebuddy.implementation.attribute.TypeAttributeAppenderForInstrumentedTypeDifferentiatingTest
+ net.bytebuddy.implementation.attribute.TypeAttributeAppenderForInstrumentedTypeTest
+ net.bytebuddy.pool.TypePoolDefaultHierarchyTest
+ net.bytebuddy.pool.TypePoolDefaultMethodDescriptionTest
+ net.bytebuddy.description.type.TypeInitializerTest
+ net.bytebuddy.agent.builder.AgentBuilderDefaultTest
+ )
+ java-pkg-simple_src_test
+}
+
+src_install() {
+ java-pkg_dojar "byte-buddy-agent.jar"
+ java-pkg_dojar "byte-buddy-dep.jar"
+
+ if use doc; then
+ java-pkg_dojavadoc target/api
+ fi
+
+ if use source; then
+ java-pkg_dosrc "byte-buddy-agent/src/main/java/*"
+ java-pkg_dosrc "byte-buddy-dep/src/main/java/*"
+ fi
+}
diff --git a/dev-java/conversant-disruptor/conversant-disruptor-1.2.20.ebuild b/dev-java/conversant-disruptor/conversant-disruptor-1.2.20.ebuild
index bd781a7c57e0..102952cc6818 100644
--- a/dev-java/conversant-disruptor/conversant-disruptor-1.2.20.ebuild
+++ b/dev-java/conversant-disruptor/conversant-disruptor-1.2.20.ebuild
@@ -18,7 +18,7 @@ SRC_URI="https://github.com/conversant/disruptor/archive/${PV}.tar.gz -> ${P}.ta
LICENSE="Apache-2.0"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 x86"
# Compile dependencies
# POM: pom.xml
diff --git a/dev-java/gradle-bin/Manifest b/dev-java/gradle-bin/Manifest
index 15a85272b567..35f1fc4b3edd 100644
--- a/dev-java/gradle-bin/Manifest
+++ b/dev-java/gradle-bin/Manifest
@@ -3,3 +3,4 @@ DIST gradle-bin-7.1.1.zip 154838841 BLAKE2B 0a0ad08101f0c5fa7c0cb2a4c9ad6e53320c
DIST gradle-bin-7.2.zip 157058280 BLAKE2B 918213df58ac2afbd075c74588f60676cd7dc99030834828138c621348ac1abd368e0b54c2f6937cbfc9533e55e310b46cf841c92dcb1039b898c6f456032d38 SHA512 6ccc79f08afdc20b3d5abf876c3cabb69114d1ab4285cdb77158cd8c5e09207589edefb6c79f2bcffe4629a38c6b9e2f473de42dab29a24310965bc5816b907d
DIST gradle-bin-7.3.3.zip 158875257 BLAKE2B 94f86e06da3eae4a9522d35a28577d033d64ce1bc2f36d0f5c1992e9b92ec311d25bd98bbeaf4b8a9869f22d93e14c88952e12166e436a0a6c206541d1f967aa SHA512 03f2bdd77202788cd43bb3e3a6390340f4d083d69ade5a53e0163204fb85307f5bbbbf4e04077c6ae558bc36ab3c478674f941079bc14a8344f55631fbba1490
DIST gradle-bin-7.4.2.zip 159315974 BLAKE2B c7c8dbe82d22dec699d1997a781f3a66110c9910dfe67df2304c48cead96c130ca072550b8c5fa2362744cd2ea3c9723c45a6ecf6e0737fe3c9b7e286b44f4ae SHA512 2e1d05486baa9661d5c8ffead2df87874a66f6cfc958ee6840432b89d221d8b0af9e3cad3675766f5413d12aa61c5b5fb0dd82f4164e5da3022865eba9ceadbf
+DIST gradle-bin-7.5.zip 166044548 BLAKE2B 2814ebe54bbe7165e6337be087bf2c841ff308c5d3f6c01e7a4d1dd63c13e723e9c06c395632edb32b7c9f84d174e1c0dd8c6ffee1f35f0b33201e24615b6521 SHA512 48646d59cd89836c33805fe3899587d338b46665f8f9c9d1535aa862b2a331e3045aa77cf4f2523e85b88ca3d2c58e0b4990fc02b84fb79e327817e37d9c6319
diff --git a/dev-java/gradle-bin/gradle-bin-7.5.ebuild b/dev-java/gradle-bin/gradle-bin-7.5.ebuild
new file mode 100644
index 000000000000..8dedd9ecd1ef
--- /dev/null
+++ b/dev-java/gradle-bin/gradle-bin-7.5.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+IUSE="doc"
+JAVA_PKG_IUSE="source"
+
+inherit java-pkg-2
+
+MY_PN=${PN%%-bin}
+MY_P="${MY_PN}-${PV/_rc/-rc-}"
+
+DESCRIPTION="A project automation and build tool with a Groovy based DSL"
+SRC_URI="https://services.gradle.org/distributions/${MY_P}-all.zip -> ${P}.zip"
+HOMEPAGE="https://www.gradle.org/"
+
+LICENSE="Apache-2.0"
+SLOT="${PV}"
+KEYWORDS="~amd64 ~x86"
+
+DEPEND="app-eselect/eselect-gradle"
+BDEPEND="app-arch/unzip"
+RDEPEND="
+ ${DEPEND}
+ >=virtual/jre-1.8:*
+"
+
+S="${WORKDIR}/${MY_P}"
+
+src_compile() {
+ :
+}
+
+src_install() {
+ local gradle_dir="/usr/share/${PN}-${SLOT}"
+
+ if use source; then
+ java-pkg_dosrc src
+ fi
+
+ docinto html
+ dodoc -r docs/release-notes.html
+ if use doc; then
+ dodoc -r docs/{dsl,userguide}
+ java-pkg_dojavadoc docs/javadoc
+ fi
+
+ insinto "${gradle_dir}"
+ doins -r bin/ lib/
+ fperms 755 "${gradle_dir}/bin/gradle"
+ dosym "${gradle_dir}/bin/gradle" "/usr/bin/${PN}-${SLOT}"
+}
+
+pkg_postinst() {
+ eselect gradle update ifunset
+}
+
+pkg_postrm() {
+ eselect gradle update ifunset
+}
diff --git a/dev-java/jackson-dataformat-xml/jackson-dataformat-xml-2.13.3-r1.ebuild b/dev-java/jackson-dataformat-xml/jackson-dataformat-xml-2.13.3-r1.ebuild
index 457511639ea4..75b68cc6b10e 100644
--- a/dev-java/jackson-dataformat-xml/jackson-dataformat-xml-2.13.3-r1.ebuild
+++ b/dev-java/jackson-dataformat-xml/jackson-dataformat-xml-2.13.3-r1.ebuild
@@ -18,7 +18,7 @@ SRC_URI="https://github.com/FasterXML/${PN}/archive/${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 x86"
# Common dependencies
# POM: pom.xml
diff --git a/dev-java/jakarta-annotations-api/Manifest b/dev-java/jakarta-annotations-api/Manifest
new file mode 100644
index 000000000000..b27c2a5598e8
--- /dev/null
+++ b/dev-java/jakarta-annotations-api/Manifest
@@ -0,0 +1 @@
+DIST jakarta-annotations-api-2.1.1.tar.gz 83788 BLAKE2B be9904337199bd8cf9e5748d53b4536b3562446d499992b97c7e413e2e2d9ae0c8ba50d601950a0feec8bce4c4c35093b7b8f87ad60ea407452f502996045e54 SHA512 8a61cb8a9da55efd7c5172aa9a134eae7d94489a66ef749c619a7fc596122fd50f3dda7a954d78f664132c72ce999d2d3ad01b70e1d2cb2072c881327de11d82
diff --git a/dev-java/jakarta-annotations-api/jakarta-annotations-api-2.1.1.ebuild b/dev-java/jakarta-annotations-api/jakarta-annotations-api-2.1.1.ebuild
new file mode 100644
index 000000000000..fd5d5e54e46c
--- /dev/null
+++ b/dev-java/jakarta-annotations-api/jakarta-annotations-api-2.1.1.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+JAVA_PKG_IUSE="doc source"
+MAVEN_ID="jakarta.annotation:jakarta.annotation-api:2.1.1"
+
+inherit java-pkg-2 java-pkg-simple
+
+DESCRIPTION="Jakarta Annotations API"
+HOMEPAGE="https://projects.eclipse.org/projects/ee4j.ca"
+SRC_URI="https://github.com/eclipse-ee4j/${PN/jakarta/common}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="EPL-2.0 GPL-2-with-classpath-exception"
+SLOT="0"
+KEYWORDS="~amd64"
+
+DEPEND="
+ >=virtual/jdk-11:*
+"
+
+RDEPEND="
+ >=virtual/jre-1.8:*
+"
+
+DOCS=( {CONTRIBUTING,NOTICE,README}.md )
+
+S="${WORKDIR}/${P/jakarta/common}"
+
+JAVA_SRC_DIR="api/src/main/java"
diff --git a/dev-java/jakarta-annotations-api/metadata.xml b/dev-java/jakarta-annotations-api/metadata.xml
new file mode 100644
index 000000000000..a63267abaf71
--- /dev/null
+++ b/dev-java/jakarta-annotations-api/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>java@gentoo.org</email>
+ </maintainer>
+
+ <origin>gentoo-staging</origin>
+</pkgmetadata> \ No newline at end of file
diff --git a/dev-java/java-service-wrapper/java-service-wrapper-3.5.50.ebuild b/dev-java/java-service-wrapper/java-service-wrapper-3.5.50.ebuild
index f4dc6ef8ecd2..3473d38a6ae5 100644
--- a/dev-java/java-service-wrapper/java-service-wrapper-3.5.50.ebuild
+++ b/dev-java/java-service-wrapper/java-service-wrapper-3.5.50.ebuild
@@ -48,8 +48,9 @@ src_prepare() {
java-pkg-2_src_prepare
# enable tests on all platforms
- grep "testsuite_SOURCE" "src/c/Makefile-linux-x86-64.make" | tee -a src/c/Makefile-*.make || die
if use test; then
+ grep "testsuite_SOURCE" "src/c/Makefile-linux-x86-64.make" | tee -a src/c/Makefile-*.make
+ assert
echo 'all: testsuite' | tee -a src/c/Makefile-*.make
assert
fi
diff --git a/dev-java/jaxb-api/jaxb-api-4.0.0.ebuild b/dev-java/jaxb-api/jaxb-api-4.0.0.ebuild
index a49e2c851b71..c7f7e03a29e3 100644
--- a/dev-java/jaxb-api/jaxb-api-4.0.0.ebuild
+++ b/dev-java/jaxb-api/jaxb-api-4.0.0.ebuild
@@ -15,7 +15,7 @@ SRC_URI="https://github.com/eclipse-ee4j/${PN}/archive/${PV}.tar.gz -> ${P}.tar.
LICENSE="EPL-1.0"
SLOT="4"
-KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 x86"
CP_DEPEND="dev-java/jakarta-activation:2"
diff --git a/dev-java/jctools-core/jctools-core-3.1.0.ebuild b/dev-java/jctools-core/jctools-core-3.1.0.ebuild
index 834d6fa686a6..ff8ec57ecef1 100644
--- a/dev-java/jctools-core/jctools-core-3.1.0.ebuild
+++ b/dev-java/jctools-core/jctools-core-3.1.0.ebuild
@@ -18,7 +18,7 @@ SRC_URI="https://github.com/JCTools/JCTools/archive/v${PV}.tar.gz -> jctools-${P
LICENSE="Apache-2.0"
SLOT="3"
-KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 x86"
# Compile dependencies
# POM: pom.xml
diff --git a/dev-java/jdbc-postgresql/jdbc-postgresql-42.4.0.ebuild b/dev-java/jdbc-postgresql/jdbc-postgresql-42.4.0.ebuild
index 9ebc3e1125bf..436bc338da5d 100644
--- a/dev-java/jdbc-postgresql/jdbc-postgresql-42.4.0.ebuild
+++ b/dev-java/jdbc-postgresql/jdbc-postgresql-42.4.0.ebuild
@@ -19,7 +19,7 @@ SRC_URI="https://jdbc.postgresql.org/download/postgresql-jdbc-${PV}.src.tar.gz"
LICENSE="BSD-2"
SLOT="0"
-KEYWORDS="~amd64 ~ppc64 ~x86"
+KEYWORDS="~amd64 ~ppc64 x86"
# Common dependencies
# POM: pom.xml
diff --git a/dev-java/junit-dataprovider/Manifest b/dev-java/junit-dataprovider/Manifest
new file mode 100644
index 000000000000..1ed767805252
--- /dev/null
+++ b/dev-java/junit-dataprovider/Manifest
@@ -0,0 +1 @@
+DIST junit-dataprovider-2.9.tar.gz 192088 BLAKE2B 4b6650bb2488bb2102e433c48f9c19620e4f60cf222fbab0dd5c8486fb0e64a86cdbf445739e2ad26f6d1e68239805cda7dd48802b556f56c53130b8fd348569 SHA512 78b9c02213e43c05e1896ce740cd177ce728ba00607dd90a029d87abcdb9bf899a285e39d6c69ef8e0b7463fe04159d4e80c405f983059a7a5a349f95767cc99
diff --git a/dev-java/junit-dataprovider/junit-dataprovider-2.9.ebuild b/dev-java/junit-dataprovider/junit-dataprovider-2.9.ebuild
new file mode 100644
index 000000000000..8628f1b234d8
--- /dev/null
+++ b/dev-java/junit-dataprovider/junit-dataprovider-2.9.ebuild
@@ -0,0 +1,94 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+JAVA_PKG_IUSE="doc source test"
+MAVEN_ID="com.tngtech.junit.dataprovider:junit-dataprovider:2.9"
+JAVA_TESTING_FRAMEWORKS="junit-4"
+
+inherit java-pkg-2 java-pkg-simple
+
+DESCRIPTION="The common core for a TestNG like dataprovider runner for JUnit"
+HOMEPAGE="https://github.com/TNG/junit-dataprovider"
+SRC_URI="https://github.com/TNG/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+
+CP_DEPEND="dev-java/findbugs-annotations:0"
+
+DEPEND="
+ >=virtual/jdk-1.8:*
+ ${CP_DEPEND}
+ dev-java/junit:4
+ test? (
+ dev-java/assertj-core:3
+ dev-java/mockito:4
+ )
+"
+
+RDEPEND="
+ >=virtual/jre-1.8:*
+ ${CP_DEPEND}
+"
+
+DOCS=( {CODE-OF-CONDUCT,CONTRIBUTING,README,SECURITY}.md NOTICE )
+
+S="${WORKDIR}/${PN}-${PV}/"
+
+src_compile() {
+ einfo "Compiling junit-dataprovider-core"
+ JAVA_SRC_DIR="core/src/main/java"
+ JAVA_JAR_FILENAME="junit-dataprovider-core.jar"
+ java-pkg-simple_src_compile
+ JAVA_GENTOO_CLASSPATH_EXTRA+=":junit-dataprovider-core.jar"
+ rm -r target || die
+
+ einfo "Compiling junit4-dataprovider"
+ JAVA_SRC_DIR="junit4/src/main/java"
+ JAVA_JAR_FILENAME="juni4-dataprovider.jar"
+ JAVA_CLASSPATH_EXTRA="junit-4"
+ java-pkg-simple_src_compile
+ rm -r target || die
+
+ if use doc; then
+ einfo "Compiling javadocs"
+ JAVA_SRC_DIR=(
+ "core/src/main/java"
+ "junit4/src/main/java"
+ )
+ JAVA_JAR_FILENAME="ignoreme.jar"
+ java-pkg-simple_src_compile
+ fi
+}
+
+src_test() {
+ einfo "Testing junit-dataprovider-core"
+ JAVA_TEST_GENTOO_CLASSPATH="assertj-core-3,junit-4,mockito:4"
+ JAVA_TEST_SRC_DIR="core/src/test/java"
+ java-pkg-simple_src_test
+
+ einfo "Testing junit4-dataprovider"
+ JAVA_TEST_SRC_DIR="junit4/src/main/java"
+ JAVA_TEST_EXCLUDES=(
+ com.tngtech.java.junit.dataprovider.internal.TestGenerator
+ com.tngtech.java.junit.dataprovider.internal.TestValidator
+ )
+ java-pkg-simple_src_test
+}
+
+src_install() {
+ java-pkg_dojar "junit-dataprovider-core.jar"
+ java-pkg_dojar "juni4-dataprovider.jar"
+
+ if use doc; then
+ java-pkg_dojavadoc target/api
+ fi
+
+ if use source; then
+ java-pkg_dosrc "core/src/main/java/*"
+ java-pkg_dosrc "junit4/src/main/java/*"
+ fi
+}
diff --git a/dev-java/junit-dataprovider/metadata.xml b/dev-java/junit-dataprovider/metadata.xml
new file mode 100644
index 000000000000..a63267abaf71
--- /dev/null
+++ b/dev-java/junit-dataprovider/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>java@gentoo.org</email>
+ </maintainer>
+
+ <origin>gentoo-staging</origin>
+</pkgmetadata> \ No newline at end of file
diff --git a/dev-java/log4j-core/log4j-core-2.17.2-r1.ebuild b/dev-java/log4j-core/log4j-core-2.17.2-r1.ebuild
index 4ba81d46a2d7..e08809628b9d 100644
--- a/dev-java/log4j-core/log4j-core-2.17.2-r1.ebuild
+++ b/dev-java/log4j-core/log4j-core-2.17.2-r1.ebuild
@@ -18,7 +18,7 @@ SRC_URI="mirror://apache/logging/log4j/${PV}/apache-log4j-${PV}-src.tar.gz"
LICENSE="Apache-2.0"
SLOT="2"
-KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 x86"
# We don't have junit-vintage and junit-jupiter
RESTRICT="test"
diff --git a/dev-java/memoryfilesystem/Manifest b/dev-java/memoryfilesystem/Manifest
new file mode 100644
index 000000000000..eaac963a85aa
--- /dev/null
+++ b/dev-java/memoryfilesystem/Manifest
@@ -0,0 +1 @@
+DIST memoryfilesystem-2.3.0.tar.gz 127429 BLAKE2B 74ce26328db840d3fce6aebc089cbe6921c2ab7b7448c63aedcffc7358890785ec10f7823d7bd686e3a82bdfb84b9c7c796f49f377f577473a98b298cd04848d SHA512 1aac6b19fe0f6f6c950f13fff3507c61e3307d8d400cba664ae7907c0b4fab03166482ab6515bf355fe27498775ac8ee2850eca8c510e3e72a481b00fec63078
diff --git a/dev-java/memoryfilesystem/memoryfilesystem-2.3.0.ebuild b/dev-java/memoryfilesystem/memoryfilesystem-2.3.0.ebuild
new file mode 100644
index 000000000000..f10d54eba1c3
--- /dev/null
+++ b/dev-java/memoryfilesystem/memoryfilesystem-2.3.0.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+JAVA_PKG_IUSE="doc source"
+MAVEN_ID="com.github.marschall:memoryfilesystem:2.3.0"
+
+inherit java-pkg-2 java-pkg-simple
+
+DESCRIPTION="An in memory implementation of a JSR-203 file system."
+HOMEPAGE="https://github.com/marschall/memoryfilesystem"
+SRC_URI="https://github.com/marschall/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+CP_DEPEND="
+ dev-java/jakarta-annotations-api:0
+"
+
+DEPEND="
+ >=virtual/jdk-11:*
+ ${CP_DEPEND}
+"
+
+RDEPEND="
+ >=virtual/jre-1.8:*
+ ${CP_DEPEND}
+"
+
+S="${WORKDIR}/${P}"
+
+JAVA_SRC_DIR="src/main/java"
+JAVA_RESOURCE_DIRS="src/main/resources"
+
+src_prepare() {
+ default
+ # https://github.com/marschall/memoryfilesystem/blob/2.3.0/pom.xml#L236-L259
+ cat > src/main/java/module-info.java <<-EOF
+ module com.github.marschall.memoryfilesystem {
+ requires java.base;
+ requires static jakarta.annotation;
+ exports com.github.marschall.memoryfilesystem;
+ provides java.nio.file.spi.FileSystemProvider with
+ com.github.marschall.memoryfilesystem.MemoryFileSystemProvider;
+ }
+ EOF
+ sed \
+ -e 's:javax\(.annotation.PreDestroy\):jakarta\1:' \
+ -i src/main/java/com/github/marschall/memoryfilesystem/MemoryFileSystem.java || die
+}
diff --git a/dev-java/memoryfilesystem/metadata.xml b/dev-java/memoryfilesystem/metadata.xml
new file mode 100644
index 000000000000..a63267abaf71
--- /dev/null
+++ b/dev-java/memoryfilesystem/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>java@gentoo.org</email>
+ </maintainer>
+
+ <origin>gentoo-staging</origin>
+</pkgmetadata> \ No newline at end of file
diff --git a/dev-java/mockito/mockito-4.6.0.ebuild b/dev-java/mockito/mockito-4.6.0-r1.ebuild
index 64fd58db303e..bd3679411683 100644
--- a/dev-java/mockito/mockito-4.6.0.ebuild
+++ b/dev-java/mockito/mockito-4.6.0-r1.ebuild
@@ -24,8 +24,8 @@ KEYWORDS="amd64 ~arm arm64 ppc64 x86"
# net.bytebuddy:byte-buddy-agent:1.12.8 -> >=dev-java/byte-buddy-agent-1.12.8:0
CP_DEPEND="
- dev-java/byte-buddy:0
- dev-java/byte-buddy-agent:0
+ <=dev-java/byte-buddy-1.12.10:0
+ <=dev-java/byte-buddy-agent-1.12.10:0
dev-java/junit:4
dev-java/objenesis:0
dev-java/opentest4j:0
@@ -48,8 +48,3 @@ RDEPEND="
S="${WORKDIR}/${P}"
JAVA_SRC_DIR="src/main/java"
-
-src_install() {
- java-pkg-simple_src_install
- einstalldocs # https://bugs.gentoo.org/789582
-}
diff --git a/dev-java/mockito/mockito-4.6.1.ebuild b/dev-java/mockito/mockito-4.6.1-r1.ebuild
index 6b2aaec5f590..493246812dac 100644
--- a/dev-java/mockito/mockito-4.6.1.ebuild
+++ b/dev-java/mockito/mockito-4.6.1-r1.ebuild
@@ -19,14 +19,14 @@ SLOT="4"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
CP_DEPEND="
- dev-java/byte-buddy:0
- dev-java/byte-buddy-agent:0
+ dev-java/asm:9
+ >=dev-java/byte-buddy-1.12.12:0
dev-java/objenesis:0
- dev-java/opentest4j:0
"
DEPEND="
dev-java/junit:4
+ >=dev-java/opentest4j-1.2.0-r1:0
>=virtual/jdk-1.8:*
${CP_DEPEND}
"
@@ -38,10 +38,18 @@ RDEPEND="
S="${WORKDIR}/${P}"
-JAVA_CLASSPATH_EXTRA="junit:4"
+JAVA_CLASSPATH_EXTRA="
+ junit-4
+ opentest4j
+"
+
JAVA_SRC_DIR="src/main/java"
+JAVA_AUTOMATIC_MODULE_NAME="org.mockito"
-src_install() {
- java-pkg-simple_src_install
- einstalldocs # https://bugs.gentoo.org/789582
+src_prepare() {
+ default
+ sed \
+ -e 's:net.bytebuddy.jar.asm:org.objectweb.asm:' \
+ -i src/main/java/org/mockito/internal/creation/bytebuddy/MockMethodAdvice.java \
+ -i src/main/java/org/mockito/internal/creation/bytebuddy/InlineBytecodeGenerator.java || die
}
diff --git a/dev-java/netty/netty-4.1.35-r1.ebuild b/dev-java/netty/netty-4.1.35-r1.ebuild
index fdac02193f25..328ab221e167 100644
--- a/dev-java/netty/netty-4.1.35-r1.ebuild
+++ b/dev-java/netty/netty-4.1.35-r1.ebuild
@@ -18,7 +18,7 @@ SRC_URI="https://github.com/netty/netty/archive/refs/tags/netty-${PV}.Final.tar.
LICENSE="Apache-2.0"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 x86"
# We do not build the full range of modules provided by netty but only what
# was available before in netty-common, netty-buffer and netty-transport.
diff --git a/dev-java/openjdk/Manifest b/dev-java/openjdk/Manifest
index ed97e6fb4425..ab42df4cb815 100644
--- a/dev-java/openjdk/Manifest
+++ b/dev-java/openjdk/Manifest
@@ -1,6 +1,6 @@
DIST openjdk-11.0.14-riscv.patch.xz 279088 BLAKE2B f67cf5707246b22285de8217b68fb806e3c18b7289cb81428c0fe83c5a4dcd60233be10aaca0853ffb00ac24fa60cae1b1d60ed300ad6bff8b07e881bddf8650 SHA512 32bac5f0c0f5df883de344718586bf798db6c8a5738058ea5d4902f5a0a3fc841c1893dec3379a74b9468c1c37af5c31a3e296476549972d3f1305401354060d
DIST openjdk-11.0.15_p10.tar.gz 122902351 BLAKE2B a2dabad415a92765d548b19261e22e2cd483a17b478c8ef98342b44e88b39b23d89d31aecc80f93b27fce8df50ba41f4e6e5f10b66035bbfc1e0c03fc4707a40 SHA512 9d9e631046769d3ad95229172f392649ef4162161eb2d6fa7371665619600a04db440e1b3d30c580e283ad2b6bd7580d1199fc854fad3cb962d79f18b2347c67
-DIST openjdk-17.0.3-riscv.patch.xz 296268 BLAKE2B 5c3b43f160009144636becd6aae19559e8f03e4d6461f89c1b6c472e63c6f4c2c6064bb3dc24c825814e7d6cc927f66fe96793bd2c71a80e2b535eec0f685278 SHA512 1c2de73051a665ada6a12bb6f92f18b1d9366990cea403063d20937ac97c288f923746a0d094273ad7f7238cef1ebe1790c0f0ffe7e7acc07ad08ebc6a7ea085
+DIST openjdk-17.0.3-riscv.patch.xz 296268 BLAKE2B 9b2036493a485a1e245230488a5985af4f5d5c6a85912d73d8a712742fdfc26d5eb08ca8e69dac04f0d516fb361e6ed057c95a3839b04639d129581cf00f0620 SHA512 692b5e39e5c6eb1222f25c3012e9a73366d9c98f5c29c2f2d35f41991cdcb026a644398b6f3fdd8c9d8368b4b1f5dc4d89b3dbd594a2e7751de96a140551d445
DIST openjdk-17.0.3_p7.tar.gz 104797560 BLAKE2B 025ff6be360c74288990622bce31769e5780f3f326b0eed2b78a776cc4df8bdf8cb99dfb0d7dd3f03f8558ca9a66acc5c5bd04b227ba4dffe18f8586a287b74b SHA512 3bebaaf0469cd6558a3f033b768005e880ec95d5bb2a24b8929d2f6a05f18ca9977b291ad49b220a904f661cf6b47780a1cfd776109ed11d4e34d5345be8f66c
DIST openjdk-8.332_p09.tar.gz 88130953 BLAKE2B 9c7419851588dfbca92610f8fbb8b74fa7516282f82e8c7c37af88c776ba0c83a22fb3d4a1c2c2b98d44e394025217d095cff9c79fba53f9c5a32a43eb91ad70 SHA512 f6a717f77cc0e85bc2eb3c3c599d09e06a4004e4987a2caf0773b1197336722469e2abcca9d39c1f4c534d15cd77408d6405c9ee6edb3815bccd8e4872571aaa
DIST openjdk-bootstrap-11.0.13_p8-ppc64.tar.xz 108215404 BLAKE2B 5e6c0b905b34b437137922b73a9724da96b8832186fea945f8c73d941db822ca1cc5718f3ecb4607ed98d1f8241c9f365b54caaf978863e8b84680a94f067b5d SHA512 732e2220219d42be10589fcaf2420da87ebc8564b4afc6bd02f61f31cdca9c31b339366e34d374fb814499b92f8aa796435a18f28e10c8cb00d9a0f5953bb60e
diff --git a/dev-java/opentest4j/opentest4j-1.2.0-r1.ebuild b/dev-java/opentest4j/opentest4j-1.2.0-r1.ebuild
new file mode 100644
index 000000000000..1e76405a61ae
--- /dev/null
+++ b/dev-java/opentest4j/opentest4j-1.2.0-r1.ebuild
@@ -0,0 +1,34 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+JAVA_PKG_IUSE="doc source test"
+MAVEN_ID="org.opentest4j:opentest4j:1.2.0"
+JAVA_TESTING_FRAMEWORKS="junit-4"
+
+inherit java-pkg-2 java-pkg-simple
+
+DESCRIPTION="Open Test Alliance for the JVM"
+HOMEPAGE="https://github.com/ota4j-team/opentest4j"
+SRC_URI="https://github.com/ota4j-team/opentest4j/archive/r${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+
+DEPEND="
+ >=virtual/jdk-11:*
+"
+
+RDEPEND="
+ >=virtual/jre-1.8:*
+"
+
+S="${WORKDIR}/${PN}-r${PV}"
+
+JAVA_SRC_DIR=( src/{main,module}/java )
+
+JAVA_TEST_GENTOO_CLASSPATH="junit-4"
+JAVA_TEST_SRC_DIR=( src/test/java )
+JAVA_TEST_RESOURCE_DIRS=( src/test/resources )
diff --git a/dev-java/randomized-runner/Manifest b/dev-java/randomized-runner/Manifest
index 4bf9443b6193..518ae668bfa1 100644
--- a/dev-java/randomized-runner/Manifest
+++ b/dev-java/randomized-runner/Manifest
@@ -1 +1,2 @@
DIST randomized-runner-2.7.9.tar.gz 1501927 BLAKE2B 41ac32c724a87021c9fd58d3c421cab1fefd00a1e9e25a29d6188b831120c5e1407894f19fa92254df5cd1f2a66a44bf6e4469fa2128d841c1f17d17a623eec9 SHA512 23db6f21a805146d759fa9d3c9a37199b7181d6c53d0f62a4d82c42cbc15816cc25a87a174ef3d533870d648039b3f8dcac9370ffaff4ef76fefb6fc2c38ee88
+DIST randomized-runner-2.8.0.tar.gz 1506178 BLAKE2B 0f142b5f90ea0aaf0934415ad772bf1363c75d371fb964398259e46af1879f2cd3520c9d3eff60b1614bef7fd64003d3ff868302cdc5421197085133dd856ba4 SHA512 e7fba917bf30a7ae4ea68301ec26bfa1b5659ea6124417ef494cc915b26bb07343ce8784dfd718032410ae750601f73ad56cd0a1bab3b2013559fc020694fb7f
diff --git a/dev-java/randomized-runner/randomized-runner-2.8.0.ebuild b/dev-java/randomized-runner/randomized-runner-2.8.0.ebuild
new file mode 100644
index 000000000000..8be9dae04f3c
--- /dev/null
+++ b/dev-java/randomized-runner/randomized-runner-2.8.0.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# Skeleton command:
+# java-ebuilder --generate-ebuild --workdir . --pom pom.xml --download-uri https://github.com/randomizedtesting/randomizedtesting/archive/release/2.8.0.tar.gz --slot 0 --keywords "~amd64 ~arm ~arm64 ~ppc64 ~x86" --ebuild randomized-runner-2.8.0.ebuild
+
+EAPI=8
+
+JAVA_PKG_IUSE="doc source test"
+MAVEN_ID="com.carrotsearch.randomizedtesting:randomizedtesting-runner:2.8.0"
+JAVA_TESTING_FRAMEWORKS="junit-4"
+
+inherit java-pkg-2 java-pkg-simple
+
+DESCRIPTION="JUnit test runner and plugins for running JUnit tests with pseudo-randomness"
+HOMEPAGE="https://labs.carrotsearch.com/randomizedtesting.html"
+SRC_URI="https://github.com/randomizedtesting/randomizedtesting/archive/release/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+
+CP_DEPEND="
+ dev-java/junit:4
+"
+
+DEPEND="
+ >=virtual/jdk-1.8:*
+ ${CP_DEPEND}
+ test? (
+ dev-java/assertj-core:3
+ )
+"
+
+RDEPEND="
+ >=virtual/jre-1.8:*
+ ${CP_DEPEND}"
+
+DOCS=( ../{CHANGES,CONTRIBUTING,README}.txt )
+
+S="${WORKDIR}/randomizedtesting-release-${PV}/${PN}"
+
+JAVA_SRC_DIR="src/main/java"
+
+JAVA_TEST_GENTOO_CLASSPATH="assertj-core-3,junit-4"
+JAVA_TEST_SRC_DIR="src/test/java"
+
+src_test() {
+ local vm_version="$(java-config -g PROVIDES_VERSION)"
+ if [[ "${vm_version}" -ge "17" ]] ; then
+ JAVA_TEST_EXTRA_ARGS+=( --add-opens=java.base/java.lang=ALL-UNNAMED )
+ JAVA_TEST_EXTRA_ARGS+=( --add-opens=java.base/java.util=ALL-UNNAMED )
+ JAVA_TEST_EXTRA_ARGS+=( --add-opens=java.base/sun.nio.fs=ALL-UNNAMED )
+ fi
+
+ java-pkg-simple_src_test
+}
diff --git a/dev-java/saslprep/saslprep-1.1.ebuild b/dev-java/saslprep/saslprep-1.1.ebuild
index c39194d7d0fe..21c4e391750f 100644
--- a/dev-java/saslprep/saslprep-1.1.ebuild
+++ b/dev-java/saslprep/saslprep-1.1.ebuild
@@ -14,7 +14,7 @@ SRC_URI="https://repo1.maven.org/maven2/com/ongres/stringprep/saslprep/${PV}/sas
LICENSE="BSD-2"
SLOT="0"
-KEYWORDS="~amd64 ~ppc64 ~x86"
+KEYWORDS="~amd64 ~ppc64 x86"
DEPEND=">=virtual/jdk-1.8:*
dev-java/stringprep:0"
diff --git a/dev-java/scram/scram-2.1.ebuild b/dev-java/scram/scram-2.1.ebuild
index a3af5e23f1dd..f43f944a27e0 100644
--- a/dev-java/scram/scram-2.1.ebuild
+++ b/dev-java/scram/scram-2.1.ebuild
@@ -18,7 +18,7 @@ SRC_URI="https://gitlab.com/ongresinc/${PN}/-/archive/${PV}/${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~amd64 ~ppc64 ~x86"
+KEYWORDS="~amd64 ~ppc64 x86"
# Common dependencies
# POM: common/pom.xml
diff --git a/dev-java/stringprep/stringprep-1.1.ebuild b/dev-java/stringprep/stringprep-1.1.ebuild
index 60e5348f25e1..01078539e13d 100644
--- a/dev-java/stringprep/stringprep-1.1.ebuild
+++ b/dev-java/stringprep/stringprep-1.1.ebuild
@@ -14,7 +14,7 @@ SRC_URI="https://repo1.maven.org/maven2/com/ongres/stringprep/stringprep/${PV}/s
LICENSE="BSD-2"
SLOT="0"
-KEYWORDS="~amd64 ~ppc64 ~x86"
+KEYWORDS="~amd64 ~ppc64 x86"
DEPEND=">=virtual/jdk-1.8:*"
RDEPEND=">=virtual/jre-1.8:*"